zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pushkar Raste (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-2659) Use log4j2 as a logging framework as log4j 1.X is now deprecated
Date Sat, 21 Jan 2017 17:08:26 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-2659?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15833060#comment-15833060
] 

Pushkar Raste commented on ZOOKEEPER-2659:
------------------------------------------

I am familiar with Maven but not at all with ivy. I tried all different combinations with
build.xml and ivy.xml
However, no matter what song and dance, I tried, I could not get it to pull log4j-core-2.7-tests.jar

Can someone help me to figure out what changes I need to make to get it to work?

> Use log4j2 as a logging framework as log4j 1.X is now deprecated
> ----------------------------------------------------------------
>
>                 Key: ZOOKEEPER-2659
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2659
>             Project: ZooKeeper
>          Issue Type: Wish
>            Reporter: Pushkar Raste
>            Assignee: Pushkar Raste
>            Priority: Minor
>         Attachments: zk_log4j2_migration.patch
>
>
> Zookeeper currently uses {{log4j 1.X}} as the default logging framework. {{log4j 1.X}}
is now deprecated http://logging.apache.org/log4j/1.2/
> This ticket is to track efforts to move zookeeper to {{log4j2}}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message